(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     13699,        419]
NotebookOptionsPosition[     12752,        388]
NotebookOutlinePosition[     13094,        403]
CellTagsIndexPosition[     13051,        400]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.425455350171875*^9, 3.425455389828125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"EQ", "=", 
   RowBox[{
    RowBox[{"m", " ", 
     RowBox[{
      RowBox[{"x", "''"}], "[", "t", "]"}]}], "\[Equal]", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "k"}], " ", 
      RowBox[{"x", "[", "t", "]"}]}], "-", 
     RowBox[{"c", " ", 
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}]}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.42442843128125*^9, 3.424428457453125*^9}}],

Cell[BoxData[
 RowBox[{"ds", "=", 
  RowBox[{
   RowBox[{"DSolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"EQ", ",", 
       RowBox[{
        RowBox[{"x", "[", "0", "]"}], "\[Equal]", "X0"}], ",", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "'"}], "[", "0", "]"}], "\[Equal]", "V0"}]}], "}"}], 
     ",", " ", 
     RowBox[{"x", "[", "t", "]"}], ",", "t"}], "]"}], "//", 
   "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.424428441140625*^9, 3.424428478734375*^9}, {
  3.42443196246875*^9, 3.424431964296875*^9}}],

Cell[BoxData[
 StyleBox[
  RowBox[{"q", "=", 
   SqrtBox[
    RowBox[{
     SuperscriptBox["c", "2"], "-", 
     RowBox[{"4", " ", "k", " ", "m"}]}]]}],
  FontSize->18,
  FontWeight->"Bold",
  FontColor->GrayLevel[0]]], "Text",
 CellChangeTimes->{{3.42443734559375*^9, 3.424437346796875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"val", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"X0", "\[Rule]", "10"}], ",", 
     RowBox[{"V0", "\[Rule]", "0"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"val1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"X0", "\[Rule]", "10"}], ",", 
     RowBox[{"V0", "\[Rule]", "0"}], ",", 
     RowBox[{"m", "\[Rule]", "1"}], ",", 
     RowBox[{"k", "\[Rule]", "1"}], ",", 
     RowBox[{"c", "\[Rule]", "3"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"val2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"X0", "\[Rule]", "10"}], ",", 
     RowBox[{"V0", "\[Rule]", "0"}], ",", 
     RowBox[{"m", "\[Rule]", "1"}], ",", 
     RowBox[{"k", "\[Rule]", "1"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"val3", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"X0", "\[Rule]", "10"}], ",", 
     RowBox[{"V0", "\[Rule]", "0"}], ",", 
     RowBox[{"m", "\[Rule]", "1"}], ",", 
     RowBox[{"k", "\[Rule]", "1"}], ",", 
     RowBox[{"c", "\[Rule]", ".2"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.4244286560625*^9, 3.424428696125*^9}, {
   3.424432160515625*^9, 3.42443216325*^9}, 3.424432542515625*^9, {
   3.424433522421875*^9, 3.4244335226875*^9}, {3.4244377723125*^9, 
   3.42443777475*^9}}],

Cell[TextData[StyleBox[": \:062a\:0646\:062f \:0645\:064a\:0631\:0627",
 FontSize->36,
 FontColor->RGBColor[0, 0, 1]]], "Text",
 CellChangeTimes->{{3.4244327115625*^9, 3.424432729328125*^9}, {
  3.4489369824446*^9, 3.4489369827878*^9}},
 TextAlignment->Right],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"x", "[", "t", "]"}], "/.", "ds"}], "/.", 
  "val1"}], "\[IndentingNewLine]", 
 RowBox[{"p1", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], "/.", "ds"}], "/.", "val1"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", " ", "0", ",", 
      RowBox[{"8", " ", "Pi"}]}], "}"}], ",", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"RGBColor", "[", 
       RowBox[{"0", ",", "0", ",", "1"}], "]"}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"8", "Pi"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "10"}], ",", "10"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<t\>\"", ",", "\"\<x\>\""}], "}"}]}], ",", 
    RowBox[{"RotateLabel", "\[Rule]", "False"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.424416252*^9, 3.424416276828125*^9}, {
  3.424416309015625*^9, 3.4244163356875*^9}, {3.42442872475*^9, 
  3.4244287435625*^9}, {3.424428783015625*^9, 3.4244288045*^9}, {
  3.424428932203125*^9, 3.4244289595625*^9}, {3.42443222109375*^9, 
  3.42443222775*^9}}],

Cell[TextData[StyleBox[": \:0645\:064a\:0631\:0627\:064a\:064a \:0628\:062d\
\:0631\:0627\:0646\:064a",
 FontSize->36,
 FontColor->RGBColor[0, 0, 1]]], "Text",
 CellChangeTimes->{{3.4244330785625*^9, 3.42443308503125*^9}, {
  3.448936973303*^9, 3.4489369739426003`*^9}},
 TextAlignment->Right],

Cell[BoxData[
 RowBox[{"Limit", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], "/.", "ds"}], "/.", "val"}], ",", 
   RowBox[{"c", "\[Rule]", 
    RowBox[{"2", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"k", " ", "m"}], ")"}], 
      RowBox[{"1", "/", "2"}]]}]}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"%", "/.", "val2"}]], "Input",
 CellChangeTimes->{{3.424437841890625*^9, 3.424437853390625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"lim", "[", "t_", "]"}], "=", 
  RowBox[{"Limit", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], "/.", "ds"}], "/.", "val2"}], ",", 
    RowBox[{"c", "\[Rule]", "2"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.424432572875*^9, 3.424432616546875*^9}}],

Cell[BoxData[
 RowBox[{"p2", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"lim", "[", "t", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", " ", 
      RowBox[{"8", "Pi"}]}], "}"}], ",", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Red", ",", "Thick"}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"8", "Pi"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "10"}], ",", "10"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<t\>\"", ",", "\"\<x\>\""}], "}"}]}], ",", 
    RowBox[{"RotateLabel", "\[Rule]", "False"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.42442889365625*^9, 3.424428909390625*^9}, {
  3.424428971171875*^9, 3.4244289789375*^9}, {3.424429009*^9, 
  3.424429035625*^9}, {3.4244326283125*^9, 3.42443264709375*^9}, {
  3.424433861296875*^9, 3.424433874421875*^9}}],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<PlotLegends`\>\"", "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"lim", "[", "t", "]"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"x", "[", "t", "]"}], "/.", "ds"}], "/.", "val1"}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", " ", 
     RowBox[{"3.5", "Pi"}]}], "}"}], ",", 
   RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Blue"}], "}"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"3.5", "Pi"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "10"}], ",", "10"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"FrameLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<t\>\"", ",", "\"\<x\>\""}], "}"}]}], ",", 
   RowBox[{"RotateLabel", "\[Rule]", "False"}], ",", 
   RowBox[{
    StyleBox["PlotLegend",
     FontColor->GrayLevel[0]], "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<\!\(\*
StyleBox[\"Critically\",
FontSize->14]\)\!\(\*
StyleBox[\" \",
FontSize->14]\)\!\(\*
StyleBox[\"damped\",
FontSize->14]\)\>\"", ",", "\"\<\!\(\*
StyleBox[\"Overdamped\",
FontSize->14]\)\>\""}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.424434404453125*^9, 3.42443442415625*^9}, {
  3.42443445475*^9, 3.424434551984375*^9}, {3.42443458728125*^9, 
  3.424434680984375*^9}, {3.424434861953125*^9, 3.424434930171875*^9}}],

Cell[TextData[StyleBox[": \:06a9\:0646\:062f \:0645\:064a\:0631\:0627",
 FontSize->36,
 FontColor->RGBColor[0, 0, 1]]], "Text",
 CellChangeTimes->{{3.42443311525*^9, 3.424433119578125*^9}, {
  3.4489369590758*^9, 3.4489369635685997`*^9}},
 TextAlignment->Right],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"x", "[", "t", "]"}], "/.", "ds"}], "/.", 
  "val3"}], "\[IndentingNewLine]", 
 RowBox[{"p3", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], "/.", "ds"}], "/.", "val3"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", " ", "0", ",", 
      RowBox[{"20", " ", "Pi"}]}], "}"}], ",", 
    RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"RGBColor", "[", 
       RowBox[{"0", ",", "0", ",", "1"}], "]"}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"8", "Pi"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "10"}], ",", "10"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<t\>\"", ",", "\"\<x\>\""}], "}"}]}], ",", 
    RowBox[{"RotateLabel", "\[Rule]", "False"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.424432670984375*^9, 3.424432675*^9}, 
   3.42443319534375*^9, {3.424433551625*^9, 3.424433574515625*^9}}],

Cell[BoxData[
 RowBox[{"p4", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"X0", " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{"c", " ", "t"}], 
           RowBox[{"2", "m"}]]}]]}], ",", 
       RowBox[{
        RowBox[{"-", "X0"}], " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{"c", " ", "t"}], 
           RowBox[{"2", "m"}]]}]]}]}], "}"}], "/.", "val3"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", 
      RowBox[{"20", "Pi"}]}], "}"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"RGBColor", "[", 
       RowBox[{"1", ",", "0", ",", "0"}], "]"}], "}"}]}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"8", "Pi"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "10"}], ",", "10"}], "}"}]}], "}"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.424416340328125*^9, 3.424416407828125*^9}, {
   3.424416441625*^9, 3.424416443265625*^9}, {3.42442882428125*^9, 
   3.42442888740625*^9}, 3.424432690859375*^9, 3.424433204609375*^9, 
   3.42443326234375*^9, {3.42443333728125*^9, 3.424433369875*^9}, {
   3.424433565265625*^9, 3.424433583453125*^9}}],

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"p3", ",", "p4"}], "]"}]], "Input",
 CellChangeTimes->{{3.4244164168125*^9, 3.424416424734375*^9}, {
  3.424433211359375*^9, 3.42443321340625*^9}}],

Cell[TextData[{
 StyleBox["\:0645\:0637\:0627\:0644\:0628 \:0648 \:062a\:0648\:0636\:064a\
\:062d\:0627\:062a \:0628\:064a\:0634\:062a\:0631 \:062f\:0631\n",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[ButtonBox["math2pc.persianblog.ir\n",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://www.math2pc.persianblog.ir"], None}],
  FontColor->RGBColor[0, 0, 1]],
 ButtonBox["math2pc.blog.ir",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://math2pc.blog.ir"], None},
  ButtonNote->"http://math2pc.blog.ir"]
}], "Text",
 CellChangeTimes->{{3.7447294760878*^9, 3.7447295059820004`*^9}, {
  3.7447295847976*^9, 3.7447295872488003`*^9}, {3.7447296318258*^9, 
  3.7447296338900003`*^9}, {3.7447297237511997`*^9, 3.7447297237511997`*^9}},
 TextAlignment->Center,
 TextJustification->0,
 FontSize->24]
},
WindowSize->{495, 527},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 139, 2, 31, "Input"],
Cell[687, 24, 429, 14, 31, "Input"],
Cell[1119, 40, 548, 16, 52, "Input"],
Cell[1670, 58, 292, 10, 48, "Text"],
Cell[1965, 70, 1306, 36, 92, "Input"],
Cell[3274, 108, 259, 5, 55, "Text"],
Cell[3536, 115, 1411, 38, 132, "Input"],
Cell[4950, 155, 293, 6, 55, "Text"],
Cell[5246, 163, 325, 11, 33, "Input"],
Cell[5574, 176, 119, 2, 31, "Input"],
Cell[5696, 180, 319, 9, 31, "Input"],
Cell[6018, 191, 1149, 29, 92, "Input"],
Cell[7170, 222, 77, 1, 31, "Input"],
Cell[7250, 225, 1546, 46, 132, "Input"],
Cell[8799, 273, 261, 5, 55, "Text"],
Cell[9063, 280, 1258, 35, 132, "Input"],
Cell[10324, 317, 1415, 41, 92, "Input"],
Cell[11742, 360, 194, 4, 31, "Input"],
Cell[11939, 366, 809, 20, 101, "Text"]
}
]
*)

(* End of internal cache information *)
